summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorshylesh <shmohan@redhat.com>2011-12-26 20:28:13 +0530
committershylesh <shmohan@redhat.com>2011-12-26 20:29:21 +0530
commit59643482b1575c3c8cc4d4b70eaeaedf02b2cb3b (patch)
tree118ca05ea91a181aee2b08432a97364217256aa4
parent25bf46a93923cbdb6b3eb2b3971784397c816a32 (diff)
BUG:764785-mount point validation
Change-Id: I3e6e5b5f483f157a8189c0394396875836a3fb92 BUG: 764785 Signed-off-by: shylesh <shmohan@redhat.com>
-rw-r--r--dvm/764785/testcase19
1 files changed, 19 insertions, 0 deletions
diff --git a/dvm/764785/testcase b/dvm/764785/testcase
new file mode 100644
index 0000000..513d5ba
--- /dev/null
+++ b/dvm/764785/testcase
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+source $cwd/regression_helpers
+
+$GLUSTERFSDIR/gluster volume create vol$global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/export1 2>/dev/null 1>/dev/null
+
+$GLUSTERFSDIR/gluster volume start vol$global_bug_id 2>/dev/null 1>/dev/null
+
+#mount on an invalid mount point which does NOT exists and check
+#whether error message is shown
+MNTPT="/blahblah"
+
+mount -t glusterfs $(hostname):vol$global_bug_id $MNTPT | grep "ERROR: Mount point does not exist."
+
+exit $?
+
+
+
+